"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPaymentTypes = exports.createRequest = void 0;
var _axios = _interopRequireDefault(require("axios"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const APIURL = 'https://staging.fawaterk.com/api/v2';
const instanceAPI = _axios.default.create({
  baseURL: APIURL
});
instanceAPI.interceptors.request.use(config => {
  if (config.method === 'post' && config.data === undefined) {
    config.data = {};
  }
  if (config.method === 'get') {
    config.data = {};
    // Add headers or any other specific logic for GET requests here
  }

  return config;
}, error => Promise.reject(error));
const getPaymentTypes = async TOKEN => {
  const config = {
    headers: {
      'Authorization': `Bearer ${TOKEN}`,
      'content-type': 'application/json'
    }
  };
  const result = await instanceAPI.get('/getPaymentmethods', {
    ...config
  });
  return result.data;
};
exports.getPaymentTypes = getPaymentTypes;
const createRequest = async (TOKEN, requestUrl, requestData) => {
  return new Promise(async (resolve, reject) => {
    try {
      const result = await instanceAPI.post(requestUrl, requestData, {
        headers: {
          'Authorization': `Bearer ${TOKEN}`,
          'content-type': 'application/json'
        }
      });
      resolve(result.data);
    } catch (err) {
      reject({
        status: 'error',
        message: null
      });
    }
  });
};
exports.createRequest = createRequest;
//# sourceMappingURL=index.js.map